package com.cooleshow.teacher.ui.work;

import android.view.View;

import com.alibaba.android.arouter.facade.annotation.Route;
import com.cooleshow.base.router.RouterPath;
import com.cooleshow.base.ui.activity.BaseMVPActivity;
import com.cooleshow.teacher.constants.AssignHomeworkContract;
import com.cooleshow.teacher.databinding.ActivityAssignHomeworkBinding;
import com.cooleshow.teacher.presenter.homework.AssignHomeworkPresenter;

/**
 * 创建日期：2022/5/31 15:26
 *
 * @author Ryan
 * 类说明：
 */
@Route(path = RouterPath.WorkCenter.TEACHER_WORK_ASSIGN_HOMEWORK)
public class AssignHomeworkActivity extends BaseMVPActivity<ActivityAssignHomeworkBinding, AssignHomeworkPresenter> implements AssignHomeworkContract.AssignHomeworkView, View.OnClickListener {
    @Override
    public void onClick(View view) {

    }

    @Override
    protected void initView() {

    }

    @Override
    protected ActivityAssignHomeworkBinding getLayoutView() {
        return ActivityAssignHomeworkBinding.inflate(getLayoutInflater());
    }

    @Override
    protected AssignHomeworkPresenter createPresenter() {
        return new AssignHomeworkPresenter();
    }
}
